maxcut {sdpt3r} | R Documentation

## Max-Cut Problem

### Description

`maxcut` creates input for sqlp to solve the Max-Cut problem - given a graph B, find the maximum cut of the graph

### Usage

    maxcut(B)

### Arguments

`B` | A (weighted) adjacency matrix corresponding to a graph

### Details

Determines the maximum cut for a graph B. Mathematical and implementation details can be found in the vignette

### Value

`X` | A list containing the solution matrix to the primal problem
`y` | A list containing the solution vector to the dual problem
`Z` | A list containing the solution matrix to the dual problem
`pobj` | The achieved value of the primary objective function
`dobj` | The achieved value of the dual objective function

### Examples

    data(Bmaxcut)

    out <- maxcut(Bmaxcut)

[Package sdpt3r version 0.3 Index]